# $XUSER: the username of the user who owns the display.
# $XAUTHORITY: the path to the xauth data used for connecting to the detected X display.
# $XUID: the id of the user who owns the display.
#$displaynum: the X display to query

XUSER=$1
XAUTHORITY=$2/.Xauthority
XUID=$3

export XUSER
export XAUTHORITY
export XUID

d=/tmp/.X11-unix

for x in $d/X*; do
    displaynum=${x#$d/X}
    
    if [ "x$XAUTHORITY" != x ]; then
    	export DISPLAY=:"$displaynum"

	  if [ -x /usr/bin/fly-wmfunc ]; then
			su "$XUSER" -s /bin/sh -c "/usr/bin/fly-wmfunc FLYWM_LOCK &"
			#for other MAC levels
            #for SE1.6
			/usr/bin/find /var/run/user/$XUID -type p -name "fly-wm-*" -exec /bin/sh -c 'echo FLYWM_LOCK > {}' \;
	  fi
	fi
done
